
Robotics Service Bus - Tasks #802
Sphinx-based documentation
01/16/2012 03:50 PM - J. Moringen

Status: Closed Start date: 01/16/2012
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Documentation Estimated time: 0.00 hour
Target version: rsb-0.9
Description

This super-task is intended for tracking progress and dependencies of documentation-related sub-tasks.
Documentation is currently spread across (at least) these locations:
    -  Wiki of project:rsb
    -  Wiki of project:rsbag
    -  https://code.humavips.eu/projects/scenarioy2/wiki/
    -  Prototypical RSB manual source:trunk/manual
    -  Prototypical RSBag manual project:rsbag:source:trunk/manual
reStructuredText Resources
    -  Sphinx RST Primer
    -  reStructuredText Reference

Subtasks:
Tasks # 803: Design documentation structure for RSBag, rsb-gstreamer and related overar... Closed
Related issues:
Related to Robotics Service Bus - Enhancement # 779: Evaluate if Sphinx is a ... Resolved 12/21/2011

Associated revisions
Revision eb6f9ca4 - 01/17/2012 02:19 PM - J. Moringen
Minor fixes and simplifications in manual/conf.py
refs #802
    -  manual/conf.py: removed texinfo configuration; simplified some

  settings and comments

Revision 42202629 - 01/17/2012 04:08 PM - J. Moringen
Fixed version in manual/conf.py
refs #802
    -  manual/conf.py: fixed version; added replacements for binary names

Revision ce86cacb - 01/17/2012 04:10 PM - J. Moringen
Added option description in manual/common.rst
refs #802, #805
    -  manual/common.rst: new file; contains description of common

  commandline options
    -  manual/tools.rst: include manual/common.rst

Revision 84552d91 - 01/17/2012 06:22 PM - J. Moringen
Improved option descriptions in manual/{call,info,logger}.rst
refs #802
    -  manual/call.rst: removed descriptions of common options; added
  descriptions of --timeout and --no-wait
    -  manual/info.rst: removed descriptions of common options; other minor

  improvements
    -  manual/logger.rst: likewise

Revision aec318c0 - 01/17/2012 06:23 PM - J. Moringen
Use project replacement in manual/introduction.rst
refs #802
    -  manual/introduction.rst: use project text replacement

Revision 3f91bbfd - 01/17/2012 06:24 PM - J. Moringen
Adapted example line numbers in manual/tutorial.rst
refs #802
    -  manual/tutorial.rst: adapted line numbers of example programs

  to account for changed license headers

Revision ea09cd6f - 01/17/2012 06:24 PM - J. Moringen
Added glossary in manual/glossary.rst
refs #802
    -  manual/glossary.rst: new file; initial glossary
    -  manual/index.rst: include manual/glossary.rst

Revision d1dda6c8 - 01/17/2012 06:25 PM - J. Moringen
Replacement text and extensions in manual/concepts.rst
refs #802
    -  manual/concepts.rst: use project extension text; added section on

  URI schema

Revision 83367ba1 - 01/18/2012 12:09 PM - J. Moringen

added intersphinx in conf.py refs #802

Revision 5a5e7227 - 01/18/2012 08:26 PM - J. Moringen
Added CMakeLists.txt for configuration and installation
refs #802
    -  CMakeLists.txt: new file; contains code to configure conf.py and

  Makefile.sphinx
    -  Makefile.sphinx.in: renamed Makefile.sphinx -> Makefile.sphinx.in;

  added replacements for location of sphinx-build program and its
  commandline options

    -  conf.py.in: renamed conf.py -> conf.py.in; minor cleanup

Revision 8cb77c56 - 01/18/2012 08:27 PM - J. Moringen
Moved introduction in index.rst
refs #802
    -  index.rst: added introduction paragraphs from introduction.rst
    -  introduction.rst: removed; moved content into index.rst

Revision 69d69cda - 01/19/2012 02:10 AM - J. Moringen
Added manual/CMakeLists.txt for configuration and installation
refs #802, #803
    -  manual/CMakeLists.txt: new file; contains code to configure

  manual/conf.py and manual/Makefile.sphinx
    -  manual/Makefile.sphinx.in: renamed manual/Makefile.sphinx ->

  manual/Makefile.sphinx.in; added replacements for location of
  sphinx-build program and its commandline options

    -  manual/conf.py.in: renamed manual/conf.py -> manual/conf.py.in;
  minor cleanup

Revision d2a45a3b - 01/19/2012 02:13 AM - J. Moringen
Moved introduction in manual/index.rst
refs #802, #803
    -  manual/index.rst: added introduction paragraphs from

  manual/introduction.rst
    -  manual/introduction.rst: removed; moved content into

  manual/index.rst

Revision 3c25d1e7 - 01/19/2012 02:16 AM - J. Moringen
Fixed links and redundancies in manual/bag-*.rst
refs #802, #803
    -  manual/bag-cat.rst: added proper link target for the program;

  removed redundant description of common commandline options; use
  code-block directive where appropriate

    -  manual/bag-info.rst: likewise
    -  manual/bag-merge.rst: likewise
    -  manual/bag-play.rst: likewise
    -  manual/bag-record.rst: likewise

Revision 531d2b62 - 01/19/2012 02:30 AM - J. Moringen
Fixed links, minor improvements in *.rst
refs #802
    -  call.rst: fixed link targets; fixed heading decorations; use

  code-block directive where appropriate; minor improvements
    -  common.rst: likewise
    -  concepts.rst: likewise
    -  logger.rst: likewise

Revision fed2d1e0 - 06/18/2012 06:44 PM - J. Moringen
Fixed and extended tutorial.rst
refs #802
    -  tutorial.rst: fixed document title; removed redundant installation

  instructions; added chat examples
History
#1 - 01/16/2012 04:27 PM - J. Moringen
- Description updated

#2 - 01/17/2012 11:50 AM - J. Moringen
- Description updated

#3 - 01/17/2012 12:22 PM - S. Wrede

I couldn't find the manual subfolder in the RSBag repository under /trunk. Is it currently checked-in?

#4 - 01/17/2012 01:28 PM - J. Moringen

No, I got distracted while committing :)
Will do after coffee break.

#5 - 01/18/2012 08:38 PM - J. Moringen

RSB manual is now built in job rsb-manual-trunk .

#6 - 01/18/2012 08:39 PM - J. Moringen
- Status changed from New to In Progress

#7 - 01/19/2012 01:49 AM - J. Moringen

RSB manual is now available at http://docs.cor-lab.org/rsb-manual/html/

#8 - 01/19/2012 02:13 AM - J. Moringen

RSBag manual is now built in job rsbag-manual-trunk

RSBag manual is now available at http://docs.cor-lab.org/rsbag-manual/html/

#9 - 01/19/2012 01:26 PM - J. Moringen

There is a new build job for tutorials

Initial version of video recording tutorial is available at http://docs.cor-lab.org/video-recording-and-processing/html/

#10 - 01/19/2012 01:27 PM - J. Wienke

I thought we will have a general tutorial project and not specific ones per topic?

#11 - 01/19/2012 01:31 PM - J. Moringen
This is the case, if I understood our plan correctly: 
    -  There is one redmine project project:tutorials which will contain all tutorials
    -  The cor-lab-tutorials build job is intended for building all tutorials (no integrations testing, though) and uploading the resulting artifacts to 
docs.cor-lab.org

#12 - 01/19/2012 01:45 PM - J. Wienke

Yes, so far everything is as expected. However the deployed html documentation looks like it is only for one tutorial. I would have expected something
like http://docs.cor-lab.org/tutorial and there is an overview of all tutorials as we said we will build all of them using a single sphinx project.

#13 - 01/20/2012 01:49 PM - J. Moringen

Yes, the configuration, building and deployment of multiple tutorials is not yet implemented.

#14 - 11/19/2012 09:40 PM - J. Moringen

Can we close this?

#15 - 12/06/2012 10:03 PM - J. Moringen
- Status changed from In Progress to Feedback

I think, we can close along with #803. Any objections?

#16 - 12/10/2012 09:16 PM - J. Moringen
- Status changed from Feedback to Closed
- Assignee set to J. Moringen
- Target version set to rsb-0.9
